PHPExcel_Worksheet_Drawing

category | PHPExcel
package | PHPExcel_Worksheet_Drawing
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_Worksheet_Drawing

    __construct()

## Get Coordinates

    getCoordinates() : string

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::getCoordinates()

### Returns

`string`

## Get Description

    getDescription() : string

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::getDescription()

### Returns

`string`

## Get Extension

    getExtension() : string

### Returns

`string`

## Get Filename

    getFilename() : string

### Returns

`string`

## Get hash code

    getHashCode() : string

### Returns

`string`Hash code

## Get Height

    getHeight() : int

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::getHeight()

### Returns

`int`

## Get image index

    getImageIndex() : int

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::getImageIndex()

### Returns

`int`

## Get indexed filename (using image index)

    getIndexedFilename() : string

### Returns

`string`

## Get Name

    getName() : string

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::getName()

### Returns

`string`

## Get OffsetX

    getOffsetX() : int

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::getOffsetX()

### Returns

`int`

## Get OffsetY

    getOffsetY() : int

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::getOffsetY()

### Returns

`int`

## Get Path

    getPath() : string

### Returns

`string`

## Get ResizeProportional

    getResizeProportional() : boolean

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::getResizeProportional()

### Returns

`boolean`

## Get Rotation

    getRotation() : int

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::getRotation()

### Returns

`int`

## Get Shadow

    getShadow() : \PHPExcel_Worksheet_Drawing_Shadow

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::getShadow()

### Returns

`\PHPExcel_Worksheet_Drawing_Shadow`

## Get Width

    getWidth() : int

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::getWidth()

### Returns

`int`

## Get Worksheet

    getWorksheet() : \PHPExcel_Worksheet

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::getWorksheet()

### Returns

`\PHPExcel_Worksheet`

## Set Coordinates

    setCoordinates(string $pValue) : \PHPExcel_Worksheet_BaseDrawing

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::setCoordinates()

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_Worksheet_BaseDrawing`

## Set Description

    setDescription(string $pValue) : \PHPExcel_Worksheet_BaseDrawing

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::setDescription()

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_Worksheet_BaseDrawing`

## Set Height

    setHeight(int $pValue) : \PHPExcel_Worksheet_BaseDrawing

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::setHeight()

### Parameters

#### $pValue

`int`

### Returns

`\PHPExcel_Worksheet_BaseDrawing`

## Set Name

    setName(string $pValue) : \PHPExcel_Worksheet_BaseDrawing

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::setName()

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_Worksheet_BaseDrawing`

## Set OffsetX

    setOffsetX(int $pValue) : \PHPExcel_Worksheet_BaseDrawing

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::setOffsetX()

### Parameters

#### $pValue

`int`

### Returns

`\PHPExcel_Worksheet_BaseDrawing`

## Set OffsetY

    setOffsetY(int $pValue) : \PHPExcel_Worksheet_BaseDrawing

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::setOffsetY()

### Parameters

#### $pValue

`int`

### Returns

`\PHPExcel_Worksheet_BaseDrawing`

## Set Path

    setPath(string $pValue, boolean $pVerifyFile) : \PHPExcel_Worksheet_Drawing

### Parameters

#### $pValue

`string`

File path

#### $pVerifyFile

`boolean`

Verify file

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_Drawing`

## Set ResizeProportional

    setResizeProportional(boolean $pValue) : \PHPExcel_Worksheet_BaseDrawing

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::setResizeProportional()

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_BaseDrawing`

## Set Rotation

    setRotation(int $pValue) : \PHPExcel_Worksheet_BaseDrawing

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::setRotation()

### Parameters

#### $pValue

`int`

### Returns

`\PHPExcel_Worksheet_BaseDrawing`

## Set Shadow

    setShadow(\PHPExcel_Worksheet_Drawing_Shadow $pValue) : \PHPExcel_Worksheet_BaseDrawing

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::setShadow()

### Parameters

#### $pValue

`\PHPExcel_Worksheet_Drawing_Shadow`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_BaseDrawing`

## Set Width

    setWidth(int $pValue) : \PHPExcel_Worksheet_BaseDrawing

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::setWidth()

### Parameters

#### $pValue

`int`

### Returns

`\PHPExcel_Worksheet_BaseDrawing`

## Set width and height with proportional resize Example: <code> $objDrawing->setResizeProportional(true); $objDrawing->setWidthAndHeight(160,120); </code>

    setWidthAndHeight(int $width, int $height) : \PHPExcel_Worksheet_BaseDrawing

Inherited

author | Vincent@luo MSN:kele_100@hotmail.com
inherited_from | \PHPExcel_Worksheet_BaseDrawing::setWidthAndHeight()

### Parameters

#### $width

`int`

#### $height

`int`

### Returns

`\PHPExcel_Worksheet_BaseDrawing`

## Set Worksheet

    setWorksheet(\PHPExcel_Worksheet $pValue, bool $pOverrideOld) : \PHPExcel_Worksheet_BaseDrawing

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::setWorksheet()

### Parameters

#### $pValue

`\PHPExcel_Worksheet`

#### $pOverrideOld

`bool`

If a Worksheet has already been assigned, overwrite it and remove image from old Worksheet?

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_BaseDrawing`

### Properties

##

    $_coordinates : string

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::$$_coordinates

##

    $_description : string

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::$$_description

##

    $_height : int

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::$$_height

##

    $_name : string

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::$$_name

##

    $_offsetX : int

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::$$_offsetX

##

    $_offsetY : int

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::$$_offsetY

##

    $_resizeProportional : boolean

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::$$_resizeProportional

##

    $_rotation : int

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::$$_rotation

##

    $_shadow : \PHPExcel_Worksheet_Drawing_Shadow

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::$$_shadow

##

    $_width : int

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::$$_width

##

    $_worksheet : \PHPExcel_Worksheet

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::$$_worksheet

##

    $_imageCounter : int

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::$$_imageCounter

##

    $_imageIndex : int

Inherited

inherited_from | \PHPExcel_Worksheet_BaseDrawing::$$_imageIndex

##

    $_path : string